HMWJGraphInternal::SubDocument Class Reference

Internal: the subdocument of a HMWJGraph. More...

Inheritance diagram for HMWJGraphInternal::SubDocument:

## Public Types

enum | Type { FrameInFrame, Text, UnformattedTable, EmptyPicture }
| the document type More...

## Public Member Functions

| SubDocument (HMWJGraph &pars, MWAWInputStreamPtr input, Type type, long id, long firstChar=0)
| constructor More...
| SubDocument (HMWJGraph &pars, MWAWInputStreamPtr input, MWAWPosition pos, Type type, long id, int firstChar=0)
| constructor More...
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

HMWJGraph * | m_graphParser
| the graph parser More...
Type | m_type
| the zone type More...
long | m_id
| the zone id More...
long | m_firstChar
| the first char position More...
MWAWPosition | m_pos
| the position in a frame More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a HMWJGraph.

## Member Enumeration Documentation

enum HMWJGraphInternal::SubDocument::Type

the document type

Enumerator
FrameInFrame |
Text |
UnformattedTable |
EmptyPicture |

## Constructor & Destructor Documentation

HMWJGraphInternal::SubDocument::SubDocument | ( | HMWJGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | Type | type,
|  | long | id,
|  | long | firstChar = `0`
| ) |  |

inline

constructor

HMWJGraphInternal::SubDocument::SubDocument | ( | HMWJGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | MWAWPosition | pos,
|  | Type | type,
|  | long | id,
|  | int | firstChar = `0`
| ) |  |

inline

constructor

virtual HMWJGraphInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

HMWJGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

bool HMWJGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

SubDocument& HMWJGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool HMWJGraphInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void HMWJGraphInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

long HMWJGraphInternal::SubDocument::m_firstChar

protected

the first char position

Referenced by operator!=(), and parse().

HMWJGraph* HMWJGraphInternal::SubDocument::m_graphParser

protected

the graph parser

Referenced by operator!=(), and parse().

long HMWJGraphInternal::SubDocument::m_id

protected

the zone id

Referenced by operator!=(), and parse().

MWAWPosition HMWJGraphInternal::SubDocument::m_pos

protected

the position in a frame

Referenced by operator!=(), and parse().

Type HMWJGraphInternal::SubDocument::m_type

protected

the zone type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- HMWJGraph.cxx